Impossibile eseguire l'app in Simulator: Xcode beta 6 iOS 8


Answers

  • Assicurati di aver scelto XCode6 come strumenti da riga di comando nella sezione Preferenze> Posizioni

  • Assicurati di aver aperto XCode 6 da Applicazioni non dal file di installazione.

  • Finalmente il riavvio di Mac risolve il problema nel mio caso.

Question

Non riesco a lanciare la mia app sul simulatore utilizzando il simulatore xcode 6 beta e iPhone 5s. Prima ricevo un messaggio di errore dal simulatore "Impossibile avviare il simulatore iOS", e dopo che xcode mi mostra l'errore seguente,




La causa più comune della segnalazione degli errori è l'impostazione di DYLD_INSERT_LIBRARIES. La maggior parte delle persone che hanno segnalato questo problema l'hanno messa in /etc/launchd.conf. È possibile modificare quel file per rimuoverlo (o semplicemente eliminare il file come probabilmente è l'unica linea) e riavviare per risolvere il problema.

Un'altra possibile causa di questo problema è che potresti aver rinominato Xcode.app dopo averlo eseguito la prima volta. In questo caso, è sufficiente riavviare (o rinominarlo come prima).




Ho ricevuto questo errore cercando di eseguire una delle mie app solo per iPad su iPhone Simulator. È stato creato come app universale, l'ho eseguito più volte su iPhone per i test e solo recentemente ho selezionato la casella di controllo "iPad" nella finestra Target.

Quando ho provato a eseguirlo sul mio dispositivo iPhone, ho ricevuto il messaggio di errore molto più utile: "L'applicazione in [/location/..../Name.app] può essere installata solo su iPad."




Ho avuto lo stesso problema e l'unica soluzione che mi ha aiutato a risolvere questo problema è stata la reinstallazione di Xcode.




Ho avuto questo problema fino a quando ho inserito il file dell'applicazione Xcode 6-beta da una cartella che avevo nella directory dell'applicazione nella stessa directory dell'applicazione. Computer riavviato. Quindi ha funzionato.

Per testare, ho creato nuovamente una cartella nella mia directory dell'applicazione e ho inserito la mia applicazione Xcode lì e, ancora, non ha funzionato. Riportalo nella cartella dell'applicazione stessa; ha funzionato. Non ho nemmeno dovuto riavviare in questi casi.

Spero davvero che Apple vada oltre i percorsi hardcoding.




Ho avuto lo stesso problema, quando eseguivo un'applicazione con lo stesso nome di un'applicazione diversa eseguita in precedenza.

Esegui "foo" -> crea un nuovo progetto chiamato "foo" -> run -> error.

Qualunque cosa mi sembra che ci siano diversi motivi per cui iOS-Simulator può dire "ehm, cosa vuoi da me? OK, farò un errore ..." ;-)

LA MIA SOLUZIONE: Chiudi il simulatore iOS, esegui nuovamente l'app.

È nella maggior parte dei casi come questo.




Sto usando XCode 6 beta2 e ha un problema (codice di errore = 4 nel mio caso) che esegue simulatori iPad. Penso di avere il problema perché sto eseguendo il doppio avvio Mac OS e XCode viene lanciato da un altro disco di avvio

Ho fatto entrambi i passaggi consigliati da @ayalcinkaya e @apascual, e questo ha funzionato per me.

  • Cambia lo "Strumento da riga di comando" in XCode BETA2 (da 5.1.1 nel mio caso) in "XCode-> Preferenza-> Posizioni"
  • Apri Xcode 6 beta2
  • Vai al menu Xcode> Apri strumento di sviluppo> iOS Simulator
  • Anche se viene visualizzata una finestra di dialogo di errore, si avrà comunque accesso al menu del simulatore iOS Selezionare Hardware> Dispositivi e passare tra i dispositivi iPad e questo apparentemente ha reso i simulatori riconfigurati
  • Mentre il simulatore è in esecuzione, esegui l'app con il simulatore selezionato.
  • Dopo aver eseguito questa procedura manuale una volta, tutto è a posto.



Ciò che ha funzionato per me è stata la rimozione di tutti i dispositivi in ​​"Gestisci dispositivi" e l'aggiunta dopo il riavvio




Ho anche avuto questo problema e ho trovato la soluzione seguendo i seguenti passaggi: -

 1) Initially i downloaded Xcode 6 library in Documentation section under the path Xcode --> Preferences --> Downloads and restart my xcode but didn't solve my problem. 

After that -> 

2) Downloaded and installed the iOS 7.1 Simulator under the path Xcode --> Preferences --> Downloads. 

        Restart xcode again and the problem solved.

3) I am facing same issue again next morning.

       Unsetting the DYLD_INSERT_LIBRARIES variable solves my problem:-

 a) Open terminal and type "sudo vi /etc/launchd.conf" command and press Enter
 b) Press I "Insert" mode and change this 

             "setenv DYLD_INSERT_LIBRARIES /usr/lib/libimckit.dylib" 

                                  to this 

              "unsetenv DYLD_INSERT_LIBRARIES /usr/lib/libimckit.dylib" 

       and press esc to exit from insert mode. 

    c) Save changes by typing ":wq" Press Enter
    d) Reboot your system and problem soloved.  

Prior to that i didn't found any iOS version in front of each listed devices 
but after installation or by unsetting DYLD_INSERT_LIBRARIES variable i found the same in front of each devices.

>

Spero che questo aiuti chiunque.




Sì apascual è corretto https://.com/a/24080160/2905967

Ma per me, prima del punto 5, ho cancellato il dispositivo del simulatore (selezionare e premendo il tasto Canc dalla tastiera) Quale dispositivo sta dando il Problema. Riferimento: https://.com/a/24080160/2905967




Related